/*general style start*/
.woocommerce-notices-wrapper {
  width: -webkit-fill-available;
  max-width: 1280px;
  margin: auto;
}

.item_small .remove {
  left: 5px !important;
  right: auto !important;
  margin: 0 !important;
  top: 5px !important;
  z-index: 5;
}

.item_small h3 a {
  font-size: 14px !important;
}

.woocommerce-notices-wrapper .woocommerce-message::before,
.woocommerce-form-coupon-toggle .woocommerce-info::before {
  top: 50%;
  vertical-align: middle;
  line-height: normal;
  transform: translateY(-50%);
}

.woocommerce-notices-wrapper .woocommerce-message .wc-forward,
.woocommerce-cart-form .coupon button[type="submit"],
.woocommerce-cart-form .wc-backward,
.cart-collaterals .cart_totals .wc-forward,
.woocommerce-checkout-payment .place-order button[type="submit"],
.checkout_coupon button[type="submit"] {
  text-align: center;
  line-height: normal;
  background-image: linear-gradient(90deg, #ae0045, #cf3c40);
  padding: 9px 15px 9px 15px !important;
  border-radius: 5px !important;
}

.woocommerce #coupon_code {
  padding: 10px !important;
  border-radius: 5px;
}

.woocommerce-notices-wrapper .woocommerce-message .wc-forward {
  margin-right: auto;
}

.woocommerce-notices-wrapper .woocommerce-message {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-right: auto;
}

.woocommerce .woocommerce-error::before,
.woocommerce .woocommerce-info::before,
.woocommerce .woocommerce-message::before {
  top: 50% !important;
  vertical-align: middle;
  line-height: normal;
  transform: translateY(-50%);
}

/*general style end*/

/*blog page start*/

.loop-blog-custom .elementor-pagination a,
.loop-blog-custom .elementor-pagination span {
  cursor: pointer;
  display: inline-block;
  width: 40px;
  height: 40px;
  line-height: 40px;
  background: #f3f3f3;
  border: 2px solid #f3f3f3;
  color: var(--gray_color);
  font-size: 16px;
  font-weight: 700;
  border-radius: var(--border-radius-4);
  margin: 0;
}

.loop-blog-custom .elementor-pagination a svg,
.loop-blog-custom .elementor-pagination span svg {
  width: 20px;
  height: 20px;
  vertical-align: sub;
  opacity: 0.5;
}

.loop-blog-custom .elementor-pagination a:hover,
.loop-blog-custom .elementor-pagination span:hover {
  color: #365861 !important;
  border: 2px solid #365861 !important;
}

.loop-blog-custom .elementor-pagination a:hover svg,
.loop-blog-custom .elementor-pagination span:hover svg {
  opacity: 1;
}

.loop-blog-custom .elementor-pagination a:hover svg path,
.loop-blog-custom .elementor-pagination span:hover svg path {
  fill: #365861 !important;
}

/*blog page end*/

/*single post start*/
.table-content-blog .elementor-toc__list-wrapper {
  column-count: 2;
  column-gap: 20px;
}

.post-comment label {
  display: inline-block;
}

.post-comment .comment-form-author label::before {
  content: url("../img/user.svg");
  position: absolute;
  z-index: 2;
  right: 0;
  line-height: normal;
  padding-top: 5px;
}

.post-comment .comment-form-author label {
  padding-right: 30px;
  position: relative;
}

.post-comment .comment-form-email label::before {
  content: url("../img/email.svg");
  position: absolute;
  z-index: 2;
  line-height: normal;
  padding-top: 8px;
  right: 0;
}

.post-comment .comment-form-email label {
  padding-right: 30px;
  position: relative;
}

.post-comment .comment-form-url label::before {
  content: url("../img/website.svg");
  position: absolute;
  z-index: 2;
  line-height: normal;
  padding-top: 5px;
  right: 0;
}

.post-comment .comment-form-url label {
  padding-right: 30px;
  position: relative;
}

.post-comment .comment-form-comment label::before {
  content: url("../img/Chat Dots.svg");
  position: absolute;
  z-index: 2;
  line-height: normal;
  padding-top: 5px;
  right: 0;
}

.post-comment .comment-form-comment label {
  padding-right: 30px;
  position: relative;
}

.post-comment .comment-form-comment textarea {
  border-radius: 12px !important;
}

.post-comment .fa-comments {
  color: #ff6b6b;
}

.post-comment .form-submit button {
  text-align: center;
  line-height: normal;
  background-image: linear-gradient(90deg, #ae0045, #cf3c40) !important;
  padding: 9px 26px 9px 15px;
  border-radius: 5px !important;
}

.post-comment .form-submit button::before {
  content: url("../img/btn-icon.svg");
  position: absolute;
  z-index: 2;
  line-height: normal;
  right: 0;
}

.post-comment .comment-form .form-submit {
  text-align: center !important;
}

.table-content-blog .elementor-toc__header-title {
  padding-right: 20px;
}

body.single-post .comment-form .comment-form-author {
  padding: 0 0 0 10px;
}

body.single-post .comment-form .comment-form-email {
  padding: 0 10px 0 10px;
}

body.single-post .comment-form .comment-form-url {
  padding: 0 10px 0 0;
}

body.single-post .elementor-widget-theme-post-content ul {
  margin-bottom: 30px;
}

/*single post end*/

/*contact-us-page-start*/

.list-page-about li {
  display: flex;
  align-items: center;
  margin-bottom: 22px;
}

.list-page-about li a {
  display: flex;
  align-items: center;
}

.route svg {
  margin-left: 10px;
}

.contact-form-heading {
  display: flex;
}

.contact-form-heading span {
  margin-right: 8px;
}

.contact-btn button {
  border-radius: 5px;
  background: var(--button, linear-gradient(90deg, #ae0045 0%, #cf3c40 100%));
}

.contact-btn button::before {
  content: url("../img/btn-icon.svg");
  position: absolute;
  z-index: 2;
  right: 0;
  line-height: normal;
}

.contact-btn {
  text-align: center;
}

/*contact-us-page-end*/

/*custom product carousel start*/
#single-product-custom-product-carousel .slick-prev:before,
#single-product-custom-product-carousel .slick-next:before {
  display: none;
}

/*custom product carousel end*/

/*shop start*/

body.archive .product-category-title {
  color: #383435;
  font-size: 22px;
  font-style: normal;
  font-weight: 700;
  line-height: normal;
  margin-bottom: 60px;
  display: flex;
  justify-content: center;
  align-items: center;
}

body.archive .product-category-title h1 {
  margin: 0 !important;
}

body.archive .content:has(.woocommerce-no-products-found) {
  min-height: 1000px;
}

.woo-custom-ordering-mobile {
  display: none;
  padding: 8px 16px;
  justify-content: space-between;
  align-items: center;
  border-radius: 8px;
  background: #f3f3f3;
}

.woo-custom-ordering-mobile .filters-mobile {
  display: flex;
  gap: 8px;
}

.woo-custom-ordering-mobile .filter-mobile-icon {
  width: 16px;
  height: 16px;
}

.woo-custom-ordering-mobile .filter-mobile-title {
  color: #383435;
  text-align: right;
  font-size: 12px;
  font-style: normal;
  font-weight: 500;
  line-height: 22px; /* 183.333% */
  white-space: nowrap;
}

.mobile-stocks {
  display: flex;
  align-items: center;
  justify-content: space-around;
  margin-bottom: 10px;
}

.mobile-stocks .stock-filter {
  display: flex;
  align-items: center;
  gap: 8px;
}

body.post-type-archive-product .product:hover .add_to_cart_button,
body.post-type-archive-product .product:hover .product_type_simple,
body.archive .product:hover .add_to_cart_button,
body.archive .product:hover .product_type_simple,
.xtra-wishlist .product:hover .product_type_simple,
.xtra-wishlist .product:hover .product_type_variable,
.codevz-recently-viewed-products .product:hover .custom_product_link {
  background: linear-gradient(90deg, #222d32 0%, #1f5261 100%);
}

body.post-type-archive-product .product-type-simple .product-discount-value,
body.archive .product-type-simple .product-discount-value {
  position: absolute;
  left: 0;
  top: auto;
  bottom: -85px;
  background-color: var(--site_color);
  padding: 4px 12px;
  font-size: 12px;
  line-height: normal;
  color: var(--white_color);
  border-radius: 5px;
}

body.post-type-archive-product .product-type-simple .price ins,
body.archive .product-type-simple .price ins {
  position: absolute;
  right: 12px;
  bottom: calc(-100% - 32px);
  z-index: 2;
}

body.post-type-archive-product .product-type-simple .price .noprice,
.codevz-recently-viewed-products .price .noprice,
body.archive .product-type-simple .price .noprice {
  position: absolute;
  right: 12px;
  bottom: calc(-100% - 60px);
  z-index: 2;
}

.product-type-simple .price ins .woocommerce-Price-amount > bdi {
  position: absolute;
  right: 12px;
  bottom: calc(-100% - 32px);
  z-index: 2;
}

.product-type-simple .price > .woocommerce-Price-amount > bdi {
  position: absolute;
  right: 12px;
  bottom: calc(-100% - 62px);
  z-index: 2;
}

body.post-type-archive-product
  .product-type-simple
  .price
  > .woocommerce-Price-amount,
body.archive .product-type-simple .price > .woocommerce-Price-amount {
  position: absolute;
  right: 12px;
  bottom: calc(-100% - 62px);
  z-index: 2;
}

body.post-type-archive-product .product-type-variable .price,
body.archive .product-type-variable .price {
  transform: translate(-12px, 60px);
  z-index: 2;
}

body.post-type-archive-product .product .price del,
body.archive .product .price del {
  font-size: 16px !important;
}

body.post-type-archive-product .product .price del bdi,
body.archive .product .price del bdi {
  color: #717379 !important;
  font-size: 16px;
  font-weight: 400;
}

body.post-type-archive-product .archieve-product-btn-icon,
body.archive .archieve-product-btn-icon,
.codevz-recently-viewed-products .archieve-product-btn-icon {
  width: 30px !important;
  height: 30px !important;
  margin: 0 !important;
  padding: 0 !important;
  float: left;
  border: none !important;
  filter: brightness(0);
}

body.post-type-archive-product
  .products
  .product:hover
  .archieve-product-btn-icon,
.codevz-recently-viewed-products .product:hover .archieve-product-btn-icon,
body.archive .products .product:hover .archieve-product-btn-icon {
  filter: brightness(1);
}

body.post-type-archive-product .products .product-type-variable .price,
body.archive .products .product-type-variable .price {
  color: #383435;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  font-size: 14px;
}

#custom-dropdown-options {
  min-width: 300px;
  position: absolute;
  top: 48px;
  right: 0px;
  padding: 16px;
  z-index: 2;
  background-color: #fff;
  border-radius: 0 0 10px 10px;
  border: 1px solid #e4e5e5;
  border-top: none;
}

#custom-dropdown-options label {
  margin: 0;
  padding: 4px 8px;
  color: #383435;
  text-align: right;
  font-size: 14px;
  font-weight: 400;
  line-height: 30px; /* 300% */
  border-bottom: 1px solid #f3f3f3;
  position: relative;
}

#custom-dropdown-options label:last-child {
  border-bottom: none;
}

#custom-dropdown-options.open {
  display: block !important;
}

#custom-dropdown-options input[type="checkbox"] {
  appearance: none;
  visibility: hidden;
}

#custom-dropdown-options label::before {
  content: "";
  background: transparent;
  position: absolute;
  opacity: 1;
  cursor: pointer;
  height: 14px;
  width: 14px;
  border: 1px solid #aeaeb2;
  border-radius: 4px;
  right: 0;
  top: 50%;
  transform: translateY(-50%);
}

#custom-dropdown-options label:has(input[type="checkbox"]:checked)::before {
  background-image: url(../img/CheckBox.svg);
  background-repeat: no-repeat;
  background-size: 14px;
  border-color: transparent;
}

#custom-dropdown-options-mobile {
  width: -webkit-fill-available;
  position: absolute;
  top: 40px;
  right: 0;
  padding: 0 16px;
  z-index: 2;
  background-color: #f3f3f3;
  border-radius: 10px;
  border: 1px solid #f3f3f3;
  border-top: none;
}

#custom-dropdown-options-mobile label {
  margin: 0;
  padding: 4px 8px;
  color: #383435;
  text-align: right;
  font-size: 14px;
  font-weight: 400;
  line-height: 30px; /* 300% */
  border-bottom: 1px solid #f3f3f3;
  position: relative;
}

#custom-dropdown-options-mobile label:last-child {
  border-bottom: none;
}

#custom-dropdown-options-mobile.open {
  display: block !important;
}

#custom-dropdown-options-mobile input[type="checkbox"] {
  appearance: none;
  visibility: hidden;
}

#custom-dropdown-options-mobile label::before {
  content: "";
  background: transparent;
  position: absolute;
  opacity: 1;
  cursor: pointer;
  height: 14px;
  width: 14px;
  border: 1px solid #aeaeb2;
  border-radius: 4px;
  right: 0;
  top: 50%;
  transform: translateY(-50%);
}

#custom-dropdown-options-mobile
  label:has(input[type="checkbox"]:checked)::before {
  background-image: url(../img/CheckBox.svg);
  background-repeat: no-repeat;
  background-size: 14px;
  border-color: transparent;
}

.products-per-page-dropdown,
.products-per-page-dropdown-mobile {
  display: inline-block;
  position: relative;
  cursor: pointer;
  min-width: 200px;
  margin-right: 20px;
  max-height: 30px;
  margin-top: -7px;
  text-align: center;
}

.products-per-page-dropdown select,
.products-per-page-dropdown-mobile select {
  display: inline-block;
  border: 1px solid var(--Gray-3, #d9d9d9);
  border-radius: 6px;
}

.products-per-page-dropdown select:focus,
.products-per-page-dropdown-mobile select:focus {
  border: none !important;
  background-color: transparent !important;
}

.products-per-page-dropdown label,
.products-per-page-dropdown-mobile label {
  display: inline-block;
  vertical-align: bottom;
}

.products-per-page-dropdown select,
.products-per-page-dropdown-mobile select {
  max-width: 70px;
  vertical-align: text-bottom;
  font-size: 14px;
  text-align: center;
  padding-right: 0px;
  background-color: transparent !important;
  border: none !important;
}

.products-per-page-dropdown-mobile label {
  font-size: 12px;
  position: relative;
  top: 2px;
}

.products-per-page-dropdown-mobile select {
  max-width: 70px;
  font-size: 12px;
  padding: 5px;
  text-align: right !important;
  padding-right: 20px !important;
}

.products-per-page-dropdown-mobile {
  margin-top: 0px;
  text-align: left;
}

.page-numbers a.next,
.page-numbers a.prev {
  display: flex !important;
  justify-content: center;
  align-items: center;
}

.page-numbers a.next:hover img,
.page-numbers a.prev:hover img {
  opacity: 1;
}

.page-numbers a.next img,
.page-numbers a.prev img {
  width: 20px;
  height: 20px;
  opacity: 0.5;
}

/*shop end*/

/*shop sidebar start*/

body.archive .theiaStickySidebar.sidebar_deactive {
  position: relative !important;
  left: inherit !important;
  transform: none !important;
}

.sidebar_inner .woo-search-form {
  margin-bottom: 30px;
}

.sidebar_inner .woo-search-form form {
  position: relative;
}

.sidebar_inner .woo-search-form form input {
  position: relative;
  border-radius: 8px;
  border: 1px solid #e4e5e5;
  background: #fff;
  color: var(--Gray-3, #d9d9d9);
  font-size: 12px;
  font-weight: 400;
  line-height: 30px; /* 250% */
  padding: 8px 16px;
}

.sidebar_inner .woo-search-form form button {
  position: absolute;
  left: 16px;
  top: 50%;
  transform: translateY(-50%);
  background-color: transparent;
  padding: 0;
  width: 20px;
  height: 20px;
}

.sidebar_inner
  .widget_yith-woocommerce-ajax-navigation-filters
  .yith-wcan-filter
  .filter-title::after {
  width: 16px;
  height: 16px;
  left: 16px !important;
  top: 50%;
  transform: translateY(-50%);
}

.sidebar_inner
  .widget_yith-woocommerce-ajax-navigation-filters
  .yith-wcan-filter
  .filter-title {
  border-radius: 8px 8px 0px 0px;
  border: 1px solid #e4e5e5;
  background: #fafafa;
  padding: 13px 16px;
  margin: 0;
  color: #30241d;
  font-size: 14px;
  font-weight: 500;
  line-height: 22px; /* 157.143% */
}

.sidebar_inner
  .widget_yith-woocommerce-ajax-navigation-filters
  .yith-wcan-filter
  .closed {
  border-radius: 8px;
}

.sidebar_inner
  .widget_yith-woocommerce-ajax-navigation-filters
  .yith-wcan-filter
  .opened {
  border-radius: 8px 8px 0 0;
}

.sidebar_inner
  .widget_yith-woocommerce-ajax-navigation-filters
  .yith-wcan-filter
  .filter-content {
  border-radius: 0px 0px 8px 8px;
  border: 1px solid var(--Gray-2, #e4e5e5);
  border-top: 0;
  background: #fff;
  padding: 16px;
  max-height: 180px;
  overflow-y: auto;
  overflow-x: hidden;
}

.sidebar_inner
  .widget_yith-woocommerce-ajax-navigation-filters
  .yith-wcan-filter
  .filter-content::-webkit-scrollbar {
  width: 4px;
}

.sidebar_inner
  .widget_yith-woocommerce-ajax-navigation-filters
  .yith-wcan-filter
  .filter-content::-webkit-scrollbar-track {
  background: #f3f3f3;
}

.sidebar_inner
  .widget_yith-woocommerce-ajax-navigation-filters
  .yith-wcan-filter
  .filter-content::-webkit-scrollbar-thumb {
  background: #b7babe;
  border-radius: 8px;
}

.sidebar_inner
  .widget_yith-woocommerce-ajax-navigation-filters
  .yith-wcan-filter
  .filter-content::-webkit-scrollbar-thumb:hover {
  background: #555;
}

.yith-wcan-filters
  .yith-wcan-filter
  .filter-items
  input[type="checkbox"]
  ~ .term-label:before {
  content: "";
  background: transparent;
  position: absolute;
  opacity: 1;
  cursor: pointer;
  height: 14px;
  width: 14px;
  border: 1px #aeaeb2;
  border-radius: 4px;
  right: 0;
  top: 20px;
}

.yith-wcan-filters .yith-wcan-filter .filter-items label {
  position: relative;
}

.yith-wcan-filters
  .yith-wcan-filter
  .filter-items.filter-checkbox
  .filter-item
  label {
  margin: 0;
  padding: 10px 0;
  border-bottom: 1px solid #f3f3f3;
}

.yith-wcan-filters
  .yith-wcan-filter
  .filter-items.filter-checkbox
  .filter-item:last-child
  label {
  border-bottom: none;
}

.yith-wcan-filters
  .yith-wcan-filter
  .filter-items.filter-checkbox
  .filter-item:has(label input[value="uncategorized"]) {
  display: none;
}

.yith-wcan-filters
  .yith-wcan-filter
  .filter-items
  .filter-item.active
  > label
  > a,
.yith-wcan-filters
  .yith-wcan-filter
  .filter-items
  .filter-item
  > label
  > a:hover {
  color: #383435 !important;
}

.yith-wcan-filters
  .yith-wcan-filter
  .filter-items
  input[type="checkbox"]:checked
  ~ .term-label:before {
  background-image: url(../img/CheckBox.svg);
  background-repeat: no-repeat;
  background-size: 14px;
}

.sidebar_inner
  .widget_yith-woocommerce-ajax-navigation-filters
  .yith-wcan-filter
  .filter-content
  .price-slider
  .irs-bar {
  background-color: #b7babe;
}

.sidebar_inner
  .widget_yith-woocommerce-ajax-navigation-filters
  .yith-wcan-filter
  .filter-content
  .price-slider
  .irs-from {
  background: none;
  color: #383435;
  text-align: right;
  font-size: 12px;
  font-weight: 700;
  line-height: 30px; /* 250% */
  padding: 0;
  left: 0 !important;
  font-family: "iranyekan";
}

.sidebar_inner
  .widget_yith-woocommerce-ajax-navigation-filters
  .yith-wcan-filter
  .filter-content
  .price-slider
  .irs-to {
  background: none;
  color: #383435;
  text-align: right;
  font-size: 12px;
  font-weight: 700;
  line-height: 30px; /* 250% */
  padding: 0;
  right: 0 !important;
  font-family: "iranyekan";
}

.sidebar_inner
  .widget_yith-woocommerce-ajax-navigation-filters
  .yith-wcan-filter
  .filter-content
  .price-slider
  .irs-single {
  background: none;
  color: #383435;
  text-align: center;
  font-size: 12px;
  font-weight: 700;
  line-height: 30px; /* 250% */
  padding: 0;
  font-family: "iranyekan";
}

.sidebar_inner
  .widget_yith-woocommerce-ajax-navigation-filters
  .yith-wcan-filter
  .filter-content
  .price-slider
  .irs-from::before,
.sidebar_inner
  .widget_yith-woocommerce-ajax-navigation-filters
  .yith-wcan-filter
  .filter-content
  .price-slider
  .irs-to::before,
.sidebar_inner
  .widget_yith-woocommerce-ajax-navigation-filters
  .yith-wcan-filter
  .filter-content
  .price-slider
  .irs-single::before {
  display: none;
}

.sidebar_inner
  .widget_yith-woocommerce-ajax-navigation-filters
  .yith-wcan-filter
  .filter-content
  .price-slider
  .irs-handle.from {
  width: 24px;
  height: 24px;
  background-color: #365861;
  border: none;
  border-radius: 8px;
  text-align: center;
  transform: translateY(-3px);
}

.sidebar_inner
  .widget_yith-woocommerce-ajax-navigation-filters
  .yith-wcan-filter
  .filter-content
  .price-slider
  .irs-handle.from::before {
  content: url("../img/white-chevron-right.svg");
  vertical-align: -webkit-baseline-middle;
}

.sidebar_inner
  .widget_yith-woocommerce-ajax-navigation-filters
  .yith-wcan-filter
  .filter-content
  .price-slider
  .irs-handle.to {
  width: 24px;
  height: 24px;
  background-color: #365861;
  border: none;
  border-radius: 8px;
  transform: translateY(-3px);
  text-align: center;
}

.sidebar_inner
  .widget_yith-woocommerce-ajax-navigation-filters
  .yith-wcan-filter
  .filter-content
  .price-slider
  .irs-handle.to::before {
  content: url("../img/white-chevron-left.svg");
  vertical-align: -webkit-baseline-middle;
}

/*shop sidebar end*/

/*single product start*/

.share-product {
  cursor: pointer;
}

.share-product .clr {
  display: flex;
}

.share-product .clr span {
  margin-right: 8px;
}

.custom-product-image .woo-product-gallery-slider {
  margin: 0 !important;
}

.custom-product-image .woo-product-gallery-slider .zoomtoo-container {
  padding: 5px;
}

.custom-single-price del,
.custom-single-price del > span {
  text-decoration: none;
}

.custom-single-price del bdi {
  font-size: 12px;
  margin-left: 50px;
}

.custom-single-price ins {
  text-decoration: none;
}

.custom-single-discount .elementor-shortcode {
    font-size: 12px;
    line-height: normal;
    color: #fff;
    background-color: #D32F2F;
    padding: 2px 10px;
    border-radius: 16px;
    position: relative;
    bottom: -25px;
}

.custom-single-cart .elementor-add-to-cart .stock {
  display: none;
}

.custom-single-cart .elementor-add-to-cart .cart {
  flex-direction: column;
}

.custom-single-cart .elementor-add-to-cart .cart button {
  margin: 0 !important;
}

.custom-single-cart
  .elementor-widget-container:has(.elementor-product-variable) {
  margin: 0 !important;
}

.custom-single-cart .variations td.value {
  padding-left: 0;
}

.custom-single-cart .woocommerce-variation-price {
  text-align: left;
}

.custom-single-cart .woocommerce-variation-price .price {
  color: #23254e !important;
  font-size: 20px !important;
  font-weight: 700;
  text-decoration: none;
  line-height: normal;
  display: flex;
  justify-content: flex-end;
  flex-direction: column;
  margin-bottom: -40px;
}

.custom-single-cart .woocommerce-variation-price ins {
  text-decoration: none !important;
}

.custom-single-cart .woocommerce-variation-add-to-cart {
  flex-direction: column;
}

.custom-single-cart-container .custom-single-cart button::after {
  content: url("../img/Cart-white.svg");
  display: inline-block;
  width: 24px;
  height: 24px;
  margin-right: 10px;
  vertical-align: middle;
}

.custom-single-attr .shop_attributes {
  border-radius: 8px;
  border: none !important;
  outline: 1px solid #e4e5e5;
  background: #fff;
  margin: 0 !important;
}

.custom-single-attr .shop_attributes tr:last-child {
  border-bottom: none !important;
}

.custom-single-attr .shop_attributes td {
  font-style: normal !important;
  color: #383435 !important;
}

.custom-single-attr .shop_attributes td,
.custom-single-attr .shop_attributes th {
  border: none !important;
  background-color: transparent !important;
  padding: 15px 25px !important;
  line-height: 22px !important;
  text-align: right;
  width: auto !important;
}

.custom-single-attr .shop_attributes td p,
.custom-single-attr .shop_attributes th p {
  padding: 0 !important;
  margin: 0 !important;
}

.custom-single-tabs .woocommerce-tabs {
  margin: 0 !important;
}

.custom-single-tabs .woocommerce-tabs .wc-tabs {
  padding: 0 !important;
}

body.single-product .custom-single-tabs .woocommerce-tabs .wc-tabs li > a {
  padding: 0 !important;
  line-height: normal !important;
}

.custom-single-tabs .woocommerce-Tabs-panel {
  padding: 25px 0 !important;
  margin: 0 !important;
  border-top: 1px solid #365861 !important;
}

.woocommerce-Tabs-panel--description .shop_attributes tr td {
  font-style: normal;
}

.woocommerce-Tabs-panel--description .shop_attributes {
  border: none !important;
}

.woocommerce-Tabs-panel--description .shop_attributes .attribute_group_row {
  text-align: right;
  border: none;
  background-color: #fff;
  padding: 13px 36px;
  display: flex;
  border-radius: 10px;
  margin: 15px 0;
  align-items: center;
  cursor: pointer;
}

.woocommerce-Tabs-panel--description
  .shop_attributes
  .attribute_group_row::after {
  content: url("../img/filled-chevron.svg");
  margin-right: auto;
  line-height: normal;
  width: 16px;
  height: 16px;
}

.woocommerce-Tabs-panel--description .shop_attributes .active::after {
  transform: rotate(180deg);
}

.woocommerce-Tabs-panel--description .shop_attributes .attribute_group_row th {
  padding: 0;
  border: none;
}

.woocommerce-Tabs-panel--description .shop_attributes .attribute_row {
  border: none;
  margin-top: -15px;
  display: flex;
  flex-direction: column;
}

.woocommerce-Tabs-panel--description .shop_attributes .attribute_row > td {
  padding: 30px;
  background-color: #fff !important;
  border: none;
  border-radius: 0 0 10px 10px;
}

.woocommerce-Tabs-panel--description .shop_attributes .attribute_row table {
  background-color: #fff;
  margin: 0;
  border: none !important;
  border-radius: 5px !important;
}

.woocommerce-Tabs-panel--description .shop_attributes .attribute_row table tr {
  background-color: #fff;
  border: none;
}

.woocommerce-Tabs-panel--description
  .shop_attributes
  .attribute_row
  table
  tr
  td,
.woocommerce-Tabs-panel--description
  .shop_attributes
  .attribute_row
  table
  tr
  th {
  font-size: 13px;
  line-height: 40px;
  font-weight: 400;
  padding: 0;
}

.woocommerce-Tabs-panel--description
  .shop_attributes
  .attribute_row
  table
  tr:first-child
  td {
  border-radius: 5px 0 0 0;
}

.woocommerce-Tabs-panel--description
  .shop_attributes
  .attribute_row
  table
  tr:first-child
  th {
  border-radius: 0 5px 0 0;
}

.woocommerce-Tabs-panel--description
  .shop_attributes
  .attribute_row
  table
  tr:last-child
  td {
  border-radius: 0 0 0 5px;
}

.woocommerce-Tabs-panel--description
  .shop_attributes
  .attribute_row
  table
  tr:last-child
  th {
  border-radius: 0 0 5px 0;
}

.woocommerce-Tabs-panel--description
  .shop_attributes
  .attribute_row
  table
  tr:nth-child(odd)
  td,
.woocommerce-Tabs-panel--description
  .shop_attributes
  .attribute_row
  table
  tr:nth-child(odd)
  th {
  background-color: #f3f3f3;
  border: none;
}

.woocommerce-Tabs-panel--description
  .shop_attributes
  .attribute_row
  table
  tr:nth-child(even)
  td,
.woocommerce-Tabs-panel--description
  .shop_attributes
  .attribute_row
  table
  tr:nth-child(even)
  th {
  background-color: #fff;
  border: none;
}

.woocommerce-Tabs-panel--description
  .shop_attributes
  .attribute_row
  table
  tr
  td
  p,
.woocommerce-Tabs-panel--description
  .shop_attributes
  .attribute_row
  table
  tr
  th
  p {
  padding: 0;
}

.woocommerce-Tabs-panel--description .shop_attributes .attribute_row {
  display: none; /* Initially hidden */
  overflow: hidden;
  max-height: 0;
  transition: max-height 0.3s ease-out;
}

.woocommerce-Tabs-panel--description .shop_attributes .active {
  border-bottom: 1px solid #d9d9d9;
  border-radius: 10px 10px 0 0;
}

.active + .attribute_row {
  display: block;
  max-height: 200px; /* Set a max-height to control expansion */
}

.accordion-question {
  display: flex;
  align-items: center;
  padding: 13px 36px;
  background-color: #fff;
  border-radius: 10px;
  margin: 15px 0;
  cursor: pointer;
}

.accordion-answer {
  background-color: #fff;
  margin-top: -15px;
  border-radius: 0 0 10px 10px;
  display: block;
  overflow: hidden;
  max-height: 0;
  transition: max-height 0.3s ease-out;
}

.accordion-question::before {
  margin-left: 8px;
  line-height: normal;
  width: 15px;
  height: 15px;
}

.accordion-question::after {
  content: url("../img/filled-chevron.svg");
  margin-right: auto;
  line-height: normal;
  width: 16px;
  height: 16px;
}

.accordion-item .active::after {
  transform: rotate(180deg);
}

.accordion-item .active {
  border-bottom: 1px solid #d9d9d9;
  border-radius: 10px 10px 0 0;
}

.active + .accordion-answer {
  display: block;
  max-height: 500px; /* A large enough value to accommodate content */
}

.custom-product-image * {
  direction: rtl !important;
}

.single-product #review_form form {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  gap: 20px;
  margin-top: 10px;
}

.single-product #review_form form > p {
  width: 100%;
  margin: 0 !important;
}

.single-product #review_form form .comment-form-author,
.single-product #review_form form .comment-form-email {
  flex: 0.5 !important;
}

.single-product #review_form form .comment-form-rating {
  position: absolute;
  left: 0;
  z-index: 2;
}

.single-product #review_form form .comment-form-rating p {
  margin: 0;
}

.single-product #review_form form .comment-form-rating label {
  display: none;
}

.single-product #review_form form .comment-form-author label,
.single-product #review_form form .comment-form-email label,
.single-product #review_form form .comment-form-comment label {
  position: relative;
  padding-right: 32px;
}

.single-product #review_form form .comment-form-author label::before {
  content: url("../img/user.svg");
  position: absolute;
  right: 0;
  line-height: normal;
  padding-top: 5px;
}

.single-product #review_form form .comment-form-email label::before {
  content: url("../img/email.svg");
  position: absolute;
  right: 0;
  line-height: normal;
  padding-top: 5px;
}

.single-product #review_form form .comment-form-comment label::before {
  content: url("../img/Chat Dots.svg");
  position: absolute;
  right: 0;
  line-height: normal;
  padding-top: 5px;
}

.single-product #review_form p.form-submit {
  padding-top: 0;
}

.single-product #review_form form button[type="submit"] {
  text-align: center;
  line-height: normal;
  background-image: linear-gradient(90deg, #ae0045, #cf3c40) !important;
  padding: 9px 26px 9px 15px;
  border-radius: 5px !important;
  border: none;
}

.single-product #review_form form button[type="submit"]::after {
  content: url("../img/btn-icon.svg");
  position: absolute;
  z-index: 2;
  line-height: normal;
  right: 0;
}

.single-product .comment-form-author input,
.single-product .comment-form-email input,
.single-product .comment-form-url input {
  width: -webkit-fill-available;
}

.single-product #review_form form .comment-notes {
  display: none;
}

.wishlist-single-product {
  cursor: pointer;
}

.wishlist-single-product::before {
  content: "به علاقه مندی ها افزوده شد!" !important;
  display: none;
}

.wishlist-single-product.fa-heart-o svg path {
  fill: black !important;
}

.wishlist-single-product svg {
  margin-right: 0;
  margin-left: 6px;
  transform: translateX(6px);
}

.brand-image {
  max-width: 35px !important;
  border-radius: 6px !important;
}

body.single-product .swiper-button-next {
  background: none !important;
  background-color: transparent !important;
}

body.single-product .swiper-button-prev {
  background: none !important;
  background-color: transparent;
}

body.single-product .swiper-button-next::after {
  font-size: 24px !important;
  color: #e4e5e5;
}

body.single-product .swiper-button-prev::after {
  font-size: 24px !important;
  color: #e4e5e5;
  transform: rotate(180deg);
}

body.single-product .swiper-button-next:hover::after {
  color: #d4163f;
}

body.single-product .swiper-button-prev:hover::after {
  color: #d4163f;
}

/*single product end*/

/*checkout start*/
.woocommerce-billing-fields__field-wrapper label {
  font-size: 16px;
  opacity: 1;
}

.woocommerce-checkout input,
.woocommerce-checkout select,
.woocommerce-checkout textarea,
.woocommerce-checkout .select2-selection {
  font-size: 12px !important;
  color: #c2c2c2 !important;
  font-weight: 400;
  line-height: 30px;
  border-style: solid;
  border-width: 1px;
  border-color: #d9d9d9 !important;
  border-radius: 6px !important;
}

.woocommerce-checkout .select2-selection span {
  color: #c2c2c2 !important;
}

/*checkout end*/

/*my account start*/
.woocommerce:has(> .woocommerce-MyAccount-navigation) {
  border: none !important;
}

.woocommerce-MyAccount-navigation .codevz-account-avatar {
  display: flex;
  flex-direction: column;
  justify-content: center;
}

.woocommerce-MyAccount-navigation .codevz-account-avatar img {
  max-width: 50% !important;
  margin: auto;
  border-radius: 100%;
}

.woocommerce-MyAccount-navigation .codevz-account-avatar strong {
  margin: 10px 0;
  text-align: center;
}

.woocommerce-MyAccount-navigation .codevz-account-avatar span {
  display: none;
}

.woocommerce-MyAccount-navigation a:hover,
.woocommerce-MyAccount-navigation .is-active a {
  background: #fff !important;
  color: var(--site_color) !important;
}

.woocommerce-MyAccount-navigation-link--wishlist a:before {
  content: "\f004";
}

.woocommerce-MyAccount-content form input,
.woocommerce-MyAccount-content form select,
.woocommerce-MyAccount-content form textarea,
.woocommerce-MyAccount-content .select2-selection {
  font-size: 12px !important;
  color: #c2c2c2 !important;
  font-weight: 400;
  line-height: 30px;
  border-style: solid;
  border-width: 1px;
  border-color: #d9d9d9 !important;
  border-radius: 6px !important;
}

.woocommerce-MyAccount-content form .select2-selection span {
  color: #c2c2c2 !important;
}

.woocommerce-MyAccount-content form p:has(button),
.woocommerce-MyAccount-content form:has(input[type="submit"]) {
  text-align: left;
}

.woocommerce-MyAccount-content form button,
.woocommerce-MyAccount-content form input[type="submit"] {
  text-align: center;
  line-height: normal;
  background-image: linear-gradient(90deg, #ae0045, #cf3c40);
  padding: 9px 15px 9px 15px;
  border-radius: 5px !important;
}

.woocommerce-MyAccount-content
  form
  .woocommerce-address-fields__field-wrapper
  label {
  font-size: 16px;
  opacity: 1;
}

/*my account end*/

/*footer start*/
.box-icon-footer .services {
  display: flex;
  align-items: center;
  text-wrap: nowrap;
}

.box-nav-icon .ml10 {
  vertical-align: middle;
}

a[aria-label="Contact"] .fa-comment-dots::before {
    content: "";
    display: inline-block;
    width: 30px;
    height: 30px;
    background-image: url(../img/Chat-Dots.svg);
    background-size: contain;
    background-repeat: no-repeat;
    vertical-align: middle;
    line-height: normal;
    margin-top: -5px;
}

/*footer end*/

/*responsive start*/
@media screen and (max-width: 768px) {
  .box-icon-footer .services {
    flex-direction: column;
  }

  .box-icon-footer .services .service_img {
    margin: 0 !important;
  }

  .woo-custom-ordering {
    display: none;
  }

  body.post-type-archive-product aside,
  body.archive aside {
    display: none;
  }

  body.post-type-archive-product aside.active,
  body.archive aside.active {
    display: block !important;
    position: fixed !important;
    top: 0;
    left: 0;
    width: 100% !important;
    height: 100%;
    background-color: #fff;
    z-index: 1000;
    padding: 20px;
    box-sizing: border-box !important;
    overflow-y: auto !important;
    z-index: 10000000;
    padding-top: 60px;
  }

  .woo-custom-ordering-mobile {
    display: flex;
    justify-content: space-between;
  }

  .breadcrumbs_container {
    overflow: scroll;
    white-space: nowrap;
    padding: 10px 0 !important;
  }

  .woocommerce-Tabs-panel--description .shop_attributes .attribute_group_row {
    border-right: 1px solid #e4e5e5;
    border-bottom: 1px solid #e4e5e5;
    border-left: 1px solid #e4e5e5;
  }

  .woocommerce-Tabs-panel--description .shop_attributes .active {
    border-right: 0;
    border-left: 0;
  }

  .search-box form {
    display: block;
    line-height: 60px;
  }

  .search-btn {
    margin: 0;
  }

  .search-btn button {
    width: 100%;
  }

  .search-box .search-btn button {
    justify-content: space-between;
    flex-flow: row-reverse;
  }

  .custom-shipping-box .elementor-widget-container > .services::before,
  .custom-shipping-box .elementor-widget-container > .services::after {
    display: none;
  }

  body .fixed_contact {
    display: block !important;
  }
 
}
@media screen and (max-width: 480px) {
  .search-section-inner,
  .car-gallery-home .elementor-widget-container {
    box-shadow: none !important;
  }

  .contact-us-contact-form {
    background-color: transparent !important;
  }

  .wc-tabs.hide_on_mobile {
    display: flex !important;
    justify-content: space-between !important;
  }

  .wc-tabs.hide_on_mobile:before,
  .wc-tabs.hide_on_mobile::after {
    display: none !important;
  }

  .custom-single-cart-container
    .custom-single-cart
    .elementor-product-variable
    .single_variation_wrap {
    position: fixed;
    bottom: 0;
    z-index: 99;
    background: #fff;
    width: 100%;
    margin: 0;
    padding: 8px 16px;
    right: 0;
    display: flex;
    flex-direction: row-reverse;
    align-items: center;
  }

  .custom-single-cart-container
    .custom-single-cart
    .elementor-product-variable
    .woocommerce-variation-add-to-cart
    .quantity {
    float: none;
    margin: 0 !important;
    justify-content: center;
  }

  .custom-single-cart-container
    .custom-single-cart
    .elementor-product-variable
    .woocommerce-variation-add-to-cart {
    flex: 0.7;
    flex-direction: row-reverse;
  }

  .custom-single-cart-container
    .custom-single-cart
    .elementor-product-variable
    .woocommerce-variation-add-to-cart
    button[type="submit"] {
    font-size: 11px;
    font-weight: 500;
    line-height: 20px;
    padding: 10px 16px;
  }

  .custom-single-cart-container
    .custom-single-cart
    .elementor-product-variable
    .woocommerce-variation {
    flex: 0.3;
  }

  .custom-single-cart-container
    .custom-single-cart
    .elementor-product-variable
    .woocommerce-variation
    .price {
    font-size: 12px !important;
    margin: 0;
  }

  .product-type-simple .custom-single-cart-container {
    position: fixed;
    bottom: 0;
    z-index: 99;
    background: #fff;
    width: 100%;
    margin: 0;
    padding: 8px;
    right: 0;
    align-items: center;
    flex-direction: row-reverse !important;
    box-shadow: 0px 0px 10px 0px #00000026;
  }

  .product-type-simple .custom-single-cart-container .custom-single-price {
    flex: 0.2;
  }

  .product-type-simple
    .custom-single-cart-container
    .custom-single-price
    .price {
    font-size: 12px !important;
    margin: 0;
  }

  .product-type-simple
    .custom-single-cart-container
    .custom-single-price
    .price
    ins
    bdi {
    font-size: 12px !important;
    margin-left: -25px;
  }
  
    .product-type-simple
    .custom-single-cart-container
    .custom-single-price
    .price
    >
    span
    >
    bdi {
    font-size: 12px !important;
    margin-left: 20px;
  }

  .product-type-simple
    .custom-single-cart-container
    .custom-single-price
    .price
    del
    bdi {
    font-size: 10px !important;
  }

  .product-type-simple .custom-single-cart-container .custom-single-cart {
    flex: 0.8;
  }

  .product-type-simple
    .custom-single-cart-container
    .custom-single-cart
    form.cart {
    flex-direction: row-reverse;
    align-items: center;
    gap: 5px;
  }

  .product-type-simple
    .custom-single-cart-container
    .custom-single-cart
    form.cart
    .quantity {
    margin: 0 !important;
    justify-content: center;
  }

  .product-type-simple
    .custom-single-cart-container
    .custom-single-cart
    form.cart
    button[type="submit"] {
    font-size: 11px;
    font-weight: 500;
    line-height: 20px;
    padding: 10px 16px !important;
  }
  
  .custom-single-price del bdi {
  margin-left: 25px;
}

  .custom-single-discount .elementor-shortcode {
    position: relative;
    bottom: 50px;
}

  .table-content-blog .elementor-toc__list-wrapper {
    column-count: 1;
  }

  .product-type-simple
    .custom-single-cart-container
    .custom-single-cart
    .elementor-add-to-cart
    .stock {
    margin: 0;
    display: block !important;
    font-size: 14px !important;
    display: none !important;
  }

  .products-per-page-dropdown-mobile {
    margin: 0;
    display: flex;
    align-items: center;
    min-width: fit-content;
  }

  .products-per-page-dropdown-mobile label {
    margin: 0;
    white-space: nowrap;
    display: none;
  }

  .products-per-page-dropdown-mobile select {
    padding: 0;
  }

  .single-product #review_form form .g-recaptcha {
    overflow-x: auto;
    overflow-y: hidden;
  }

  .custom-single-cart-container .custom-single-cart button::after {
    display: none;
  }

  body.post-type-archive-product .product-type-variable .price,
  body.archive .product-type-variable .price {
    transform: translate(12px, 60px);
    max-width: 100px;
  }

  div.page_content {
    margin: 20px 0 !important;
  }

  body.archive .product-category-title {
    font-size: 18px;
  }

  .single-product #review_form form .comment-form-rating {
    transform: translateY(-20px);
  }

  .custom-product-carousel .slick-next {
    right: 35px;
  }

  .custom-product-carousel .slick-prev {
    left: 35px;
  }
  
  body.single-product iframe.raychat_frame {
      bottom: 50px;
  }
  
    body.single-product .fixed_contact{
      bottom: 75px;
  }
  
  body.single-product .page_footer .row .elementor-element:last-child{
      padding-bottom: 35px;
  }
}

/*responsive end*/